#include <wfp.h>


void getSnapShotsF0(uint32_t buffer0, uint32_t buffer1,unsigned int NB_Samples, int freq)
{
    LFR->WFP.Control.Value=0;
    volatile int test = LFR->WFP.STATUS;
    LFR->WFP.ADDRESS_F0.ADDR0 = buffer0;
    LFR->WFP.ADDRESS_F0.ADDR1 = buffer1;
    LFR->WFP.length.FIELDS.length=(NB_Samples*3)/16;
    LFR->WFP.Nb_Data_per_buff= NB_Samples-1;
    LFR->WFP.Nb_snapshot=NB_Samples;
    LFR->WFP.StartDate=(uint32_t)LFR_MANAGMENT->COARSE_TIME + 1;
    LFR->WFP.Control.Value = 0x11;
    while ((LFR->WFP.STATUS&7)==0) ;
}

void getSnapShotsF1(uint32_t buffer0, uint32_t buffer1, unsigned int NB_Samples, int freq)
{
    LFR->WFP.Control.Value=0;
    volatile int test = LFR->WFP.STATUS;
    LFR->WFP.ADDRESS_F1.ADDR0 = buffer0;
    LFR->WFP.ADDRESS_F1.ADDR1 = buffer1;
    LFR->WFP.length.FIELDS.length=(NB_Samples*3)/16;
    LFR->WFP.Nb_Data_per_buff= NB_Samples-1;
    LFR->WFP.Nb_snapshot=NB_Samples;
    LFR->WFP.StartDate=(uint32_t)LFR_MANAGMENT->COARSE_TIME + 1;
    LFR->WFP.Control.Value = 0x22;
    while ((LFR->WFP.STATUS&7)==0) ;
}

void getSnapShotsF2(uint32_t buffer0, uint32_t buffer1, unsigned int NB_Samples, int freq)
{
    LFR->WFP.Control.Value=0;
    volatile int test = LFR->WFP.STATUS;
    LFR->WFP.ADDRESS_F2.ADDR0 = buffer0;
    LFR->WFP.ADDRESS_F2.ADDR1 = buffer1;
    LFR->WFP.length.FIELDS.length=(NB_Samples*3)/16;
    LFR->WFP.Nb_Data_per_buff= NB_Samples-1;
    LFR->WFP.Nb_snapshot=NB_Samples;
    LFR->WFP.StartDate=(uint32_t)LFR_MANAGMENT->COARSE_TIME + 1;
    LFR->WFP.Control.Value = 0x44;
    while ((LFR->WFP.STATUS&7)==0) ;
}
